ProductConfigService (Hyperic HQ Plugin API)
Keywords: org.hyperic.hq.common.server.mbean.ProductConfigService class

Overview | Package | Class | Tree | Deprecated | Index | Help
| Hyperic HQ Plugin API v. 4.4.0.2
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.hyperic.hq.common.server.mbean
Class ProductConfigService

    java.lang.Object
      org.hyperic.hq.common.server.mbean.ProductConfigService

All Implemented Interfaces:
  org.hyperic.hq.common.server.mbean.ProductConfigServiceMBean

    public class ProductConfigService

extends java.lang.Object
implements org.hyperic.hq.common.server.mbean.ProductConfigServiceMBean

ProductConfigService - used to do any special setup tasks that relate to the data stored in the configuration tables.

Field Summary
`protected org.apache.commons.logging.Log` | `_log`

Constructor Summary
`ProductConfigService()`

Method Summary
`void` | `destroy()`
`void` | `init()`
`void` | `restart()`
`void` | `start()`
`void` | `stop()`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Field Detail

### _log

    protected org.apache.commons.logging.Log _log

Constructor Detail

### ProductConfigService

    public ProductConfigService()

Method Detail

### stop

    public void stop()

  Specified by:
    `stop` in interface `org.hyperic.hq.common.server.mbean.ProductConfigServiceMBean`

### start

    public void start()

  Specified by:
    `start` in interface `org.hyperic.hq.common.server.mbean.ProductConfigServiceMBean`

### restart

    public void restart()

  Specified by:
    `restart` in interface `org.hyperic.hq.common.server.mbean.ProductConfigServiceMBean`

### init

    public void init()

  Specified by:
    `init` in interface `org.hyperic.hq.common.server.mbean.ProductConfigServiceMBean`

### destroy

    public void destroy()

  Specified by:
    `destroy` in interface `org.hyperic.hq.common.server.mbean.ProductConfigServiceMBean`

Overview | Package | Class | Tree | Deprecated | Index | Help
| Hyperic HQ Plugin API v. 4.4.0.2
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2004-2006 Hyperic, Inc. support@hyperic.net, All Rights Reserved.